Package org.apache.ignite.internal.processors.cache.persistence.freelist

## Class CorruptedFreeListException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.cache.persistence.CorruptedDataStructureException
        - - org.apache.ignite.internal.processors.cache.persistence.freelist.CorruptedFreeListException

All Implemented Interfaces:
  `Serializable`

    public class CorruptedFreeListException
    extends CorruptedDataStructureException

Exception to distinguish `AbstractFreeList` broken invariants.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.CorruptedDataStructureException

`grpId, pageIds`

### Constructor Summary

Constructors
`CorruptedFreeListException​(String msg, @Nullable Throwable cause, int grpId, long... pageIds)` Constructor.

### Method Summary

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.CorruptedDataStructureException

`groupId, pageIds`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CorruptedFreeListException

    public CorruptedFreeListException​(String msg,
                                      @Nullable
                                      @Nullable Throwable cause,
                                      int grpId,
                                      long... pageIds)

Constructor.

Parameters:
  `msg` - Message.
  `cause` - Cause.
  `grpId` - Cache group id.
  `pageIds` - PageId's that can be corrupted.